summaryrefslogtreecommitdiffstats
path: root/punani
diff options
context:
space:
mode:
authorkrebs <krebs@fuerkrebs>2011-09-24 20:33:21 -0400
committerkrebs <krebs@fuerkrebs>2011-09-24 20:33:21 -0400
commit14636218a1ca18cf66c507d39c6784a6b28f7528 (patch)
tree68ba74391fe0a9d6feeb4d05f2b2f12b35dada54 /punani
parentf56a4735ade90afcc719d9b87e941a665768db70 (diff)
punani: bugfix
Diffstat (limited to 'punani')
-rwxr-xr-xpunani/bin/punani3
1 files changed, 2 insertions, 1 deletions
diff --git a/punani/bin/punani b/punani/bin/punani
index 34d5bcbf..954eca43 100755
--- a/punani/bin/punani
+++ b/punani/bin/punani
@@ -115,7 +115,7 @@ handle_system () {
# apt-file () { echo $@; }
# apt-get () { echo $@; }
#fi
- if [ `which apt-file` ]; then
+ if ! which apt-file; then
echo "installing dependencies: apt-file"
apt-get install --yes apt-file
echo "update the apt-file tool"
@@ -133,6 +133,7 @@ handle_system () {
fi
}
punani_Engineer_insert() {
+ echo "trying to install $1"
if apt-get install `apt-file search -l -x /$1\$`;then
echo "++ finished"
else